/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visatype.h>

ViStatus rsrfsiggen_InitAttributes(ViSession instrSession);

ViStatus rsrfsiggen_DefaultInstrSetup(ViSession instrSession);

ViStatus rsrfsiggen_CheckStatus(ViSession instrSession);

ViStatus rsrfsiggen_SetOPCTimeout(ViSession instrSession,
                                  ViInt32   timeout);

ViStatus rsrfsiggen_GetOPCTimeout(ViSession instrSession,
                                  ViInt32   *timeout);

ViStatus rsrfsiggen_pathRepCap(ViSession instrSession,
                               ViInt32   path,
                               ViChar    repCap[]);

ViStatus rsrfsiggen_satNavRepCap(ViSession instrSession,
                                 ViInt32   standard,
                                 ViChar    repCap[]);

ViStatus rsrfsiggen_satNavSVIDRepCap(ViSession instrSession,
                                     ViInt32   svid,
                                     ViChar    repCap[]);

ViStatus rsrfsiggen_QueryMeasStatus(ViSession instrSession,
                                    ViString  cmd,
                                    ViInt32*  mainState,
                                    ViInt32*  syncState,
                                    ViInt32*  resourcesState);

ViBoolean rsrfsiggen_IsSMW(ViSession instrSession);

ViBoolean rsrfsiggen_IsSMBV(ViSession instrSession);

ViStatus rsrfsiggen_utility_error_message(ViSession instrSession,
                                          ViStatus  errorCode,
                                          ViChar    errorMessage[]);

